Bug 755155 - Review Request: perl-TAP-Harness-Multiple - TAP::Harness::Muliple Perl module
Summary: Review Request: perl-TAP-Harness-Multiple - TAP::Harness::Muliple Perl module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-19 06:37 UTC by Gerd Pokorra
Modified: 2011-12-11 21:51 UTC (History)
3 users (show)

Fixed In Version: perl-TAP-Harness-Multiple-0.07-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-11 21:51:29 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Gerd Pokorra 2011-11-19 06:37:22 UTC
Spec URL: ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec

SRPM URL: 
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple-0.06-1.fc15.src.rpm

Description: 
This module includes packages for extending the functionality of the
TAP::Harness and TAP::Harness::Archive modules from CPAN.

F16-scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3525425

F17-scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3525421

Comment 1 Parag AN(पराग) 2011-11-19 15:04:57 UTC
Review:-

+ koji build ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3525421

+ rpmlint on rpms gave
perl-TAP-Harness-Multiple.noarch: E: incorrect-fsf-address /usr/share/doc/perl-TAP-Harness-Multiple-0.06/LICENSE
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

+ source matched with upstream as (sha1sum)
c889e977ae08fa9b57669e65c2e5769afc3fcbd5  TAP-Harness-Multiple-0.06.tar.gz
c889e977ae08fa9b57669e65c2e5769afc3fcbd5  ../SOURCES/TAP-Harness-Multiple-0.06.tar.gz

+ make test gave
All tests successful.
Files=3, Tests=80,  1 wallclock secs ( 0.04 usr  0.01 sys +  1.18 cusr  0.30 csys =  1.53 CPU)

+ Package: perl-TAP-Harness-Multiple-0.06-1.fc17.noarch
Provides: perl(TAP::Harness::Archive::MultipleHarnesses) = 0.06 perl(TAP::Harness::ReportByDescription) = 0.06

Requires: perl(File::Path) perl(File::Spec) perl(TAP::Harness) perl(TAP::Harness::Archive) perl(TAP::Harness::ReportByDescription) perl(base) perl(lib) perl(strict)

+ otherwise follows packaging guidelines

Suggestions:
1) If building this on Fedora only then you don't need
  a) buidlroot
  b) cleaning of buildroot in %install
  c) %clean section
  d) defattr(-,root,root,-)

2) please remove explicit requires added in spec. yum should automatically pull the required dependencies.

I see only following is automatically installed
perl(TAP::Harness::Archive)
perl(Test::Harness)

so you should remove those 2 requires lines in SPEC.

3) Versioned Requires should be avoided. See http://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires

Comment 2 Gerd Pokorra 2011-11-20 19:00:44 UTC
Thank you for starting the review.

- all "Requires" are removed, only the "BuildRequires" are still in the specfile
- buildroot is removed, no cleaning of buildroot in "install section"

new SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple-0.06-2.fc15.src.rpm


The spec URL:
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec
is now a link to
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec.2


F17-scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3528016

Comment 3 Gerd Pokorra 2011-11-21 02:43:32 UTC
- a patch for the LICENSE file is added to fix the problem 

new SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple-0.06-3.fc15.src.rpm


The spec URL:
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec
is now a link to
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec.3


F17-scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3528760


rpmlint on rpms now gave 0 errors and 0 warnings

Comment 4 Parag AN(पराग) 2011-11-21 04:07:30 UTC
1)upstream license file text should not be changed at all. The rpmlint warning of incorrect-fsf-address is not a blocker or MUST fix. This should be fixed in upstream only. Drop the patch and let the LICENSE file as it is. you just need to report upstream that they should change the LICENSE text.

2)As I suggested only 2 requires are getting installed automatically. So you need to keep following for running the tests.

Requires:       perl(IO::CaptureOutput)
Requires:       perl(Test::Simple) 



3)Also, See /etc/rpmdevtools/spectemplate-perl.spec and add following in spec

%{?perl_default_filter}

Comment 5 Gerd Pokorra 2011-11-21 09:37:20 UTC
- A email for asking to change the LICENSE file in the sources is written.

- patch for the LICENSE file is removed

So I thought it is the best to overwrite release 3 of the specfile.

- the requires
Requires:       perl(IO::CaptureOutput)
Requires:       perl(Test::Simple) 
are added

- add the macro "perl_default_filter"

current SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple-0.06-3.fc15.src.rpm

The spec URL:
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec
is a link to the overwritten file
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec.3

F17-scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3528989

Comment 6 Gerd Pokorra 2011-11-22 07:59:26 UTC
There is already a new version at upstream that fix the LICENSE issue.
Thanks to Jim.

new SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple-0.07-1.fc15.src.rpm

The spec URL:
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec
is a link to
ftp://ftp.uni-siegen.de/pub/review/perl-TAP-Harness-Multiple.spec.4

F17-scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3531418

rpmlint on rpms now gave 0 errors and 0 warnings.

Comment 7 Parag AN(पराग) 2011-11-22 11:06:01 UTC
Looks good now.

I see that I missed to say that versioned dependencies should be avoided. e.g. in this package BuildRequires written as
BuildRequires:  perl(TAP::Harness::Archive) >= 0.14
BuildRequires:  perl(Test::Harness) >= 3.23
BuildRequires:  perl(Test::Simple) >= 0.44

which should  be written as
BuildRequires:  perl(TAP::Harness::Archive)
BuildRequires:  perl(Test::Harness) 
BuildRequires:  perl(Test::Simple)

See 
http://fedoraproject.org/wiki/Packaging:Guidelines#Requires

APPROVED.

Comment 8 Gerd Pokorra 2011-11-22 13:23:36 UTC
New Package SCM Request
=======================
Package Name: perl-TAP-Harness-Multiple
Short Description: TAP::Harness::Muliple Perl module
Owners: gerd
Branches: f16
InitialCC:

Comment 9 Gwyn Ciesla 2011-11-22 13:40:01 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-11-23 01:22:06 UTC
perl-TAP-Harness-Multiple-0.07-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-TAP-Harness-Multiple-0.07-2.fc16

Comment 11 Fedora Update System 2011-11-23 23:30:57 UTC
perl-TAP-Harness-Multiple-0.07-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 12 Fedora Update System 2011-12-11 21:51:29 UTC
perl-TAP-Harness-Multiple-0.07-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.